Package ch.qos.logback.classic.gaffer

## Class GafferConfigurator

- java.lang.Object
- - ch.qos.logback.classic.gaffer.GafferConfigurator

All Implemented Interfaces:
  `groovy.lang.GroovyObject`

    public class GafferConfigurator
    extends java.lang.Object
    implements groovy.lang.GroovyObject

### Constructor Summary

Constructors
`GafferConfigurator​(LoggerContext context)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`LoggerContext` `getContext()`
`static java.lang.String` `getDEBUG_SYSTEM_PROPERTY_KEY()`
`groovy.lang.MetaClass` `getMetaClass()`
`java.lang.Object` `getProperty​(java.lang.String property)`
`protected org.codehaus.groovy.control.customizers.ImportCustomizer` `importCustomizer()`
`protected void` `informContextOfURLUsedForConfiguration​(java.net.URL url)`
`java.lang.Object` `invokeMethod​(java.lang.String method, java.lang.Object arguments)`
`void` `run​(java.io.File file)`
`void` `run​(java.lang.String dslText)`
`void` `run​(java.net.URL url)`
`void` `setContext​(LoggerContext value)`
`void` `setMetaClass​(groovy.lang.MetaClass mc)`
`void` `setProperty​(java.lang.String property, java.lang.Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GafferConfigurator

    public GafferConfigurator​(LoggerContext context)

### Method Detail

#### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

Specified by:
  `getMetaClass` in interface `groovy.lang.GroovyObject`

#### setMetaClass

    public void setMetaClass​(groovy.lang.MetaClass mc)

Specified by:
  `setMetaClass` in interface `groovy.lang.GroovyObject`

#### invokeMethod

    public java.lang.Object invokeMethod​(java.lang.String method,
                                         java.lang.Object arguments)

Specified by:
  `invokeMethod` in interface `groovy.lang.GroovyObject`

#### getProperty

    public java.lang.Object getProperty​(java.lang.String property)

Specified by:
  `getProperty` in interface `groovy.lang.GroovyObject`

#### setProperty

    public void setProperty​(java.lang.String property,
                            java.lang.Object value)

Specified by:
  `setProperty` in interface `groovy.lang.GroovyObject`

#### getContext

    public LoggerContext getContext()

#### setContext

    public void setContext​(LoggerContext value)

#### getDEBUG_SYSTEM_PROPERTY_KEY

    public static java.lang.String getDEBUG_SYSTEM_PROPERTY_KEY()

#### informContextOfURLUsedForConfiguration

    protected void informContextOfURLUsedForConfiguration​(java.net.URL url)

#### run

    public void run​(java.net.URL url)

#### run

    public void run​(java.io.File file)

#### run

    public void run​(java.lang.String dslText)

#### importCustomizer

    protected org.codehaus.groovy.control.customizers.ImportCustomizer importCustomizer()